Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224564 - Brightness keys don't adjust LCD brightness on PowerBook G4
Summary: Brightness keys don't adjust LCD brightness on PowerBook G4
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-power-manager
Version: 6
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-26 14:41 UTC by Jared Smith
Modified: 2013-03-06 03:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-03 14:05:19 UTC


Attachments (Terms of Use)

Description Jared Smith 2007-01-26 14:41:47 UTC
Description of problem:


Version-Release number of selected component (if applicable):

gnome-power-manager-2.16.0-4.fc6 (assuming, of course, that it's
gnome-power-manager that's responsible for this -- I'm not sure if it is or not)

How reproducible:

Always

Steps to Reproduce:
1. Press the Brightness keys (F1 and F2)
2. Watch the Gnome on-screen display pop on the screen, and see it act like it's
changing the LCD brightness
3. Notice that the LCD brightness doesn't change at all.
  
Actual results:

Nothing happens

Expected results:

The LCD brightness should go up or down, as appropriate.

Additional info:

I can manually change the LCD brightness by typing:

echo -n '127' > /sys/class/backlight/*/brightness
(where you obviously change 127 if you want it darker or brighter)

Comment 1 Jared Smith 2007-01-26 14:48:27 UTC
I don't know if this should be filed as a seperate bug or not, but the keyboard
backlight doesn't work at all, either.  (I'm happy to file it as a seperate bug
-- just let me know.)  I can get the keyboard backlight to work if I install the
pbbuttonsd application, but it's not part of Fedora Core or Fedora Extras.

Comment 2 Richard Hughes 2007-01-26 16:59:43 UTC
You need to use CVS HAL for the /sys/class/backlight stuff to work. There are
rpm's in the utopia repository if you are interested.

Comment 3 Jared Smith 2007-01-26 20:44:36 UTC
I'd be happy to try the RPMs from the utopia repo, if I could find them.  Google
doesn't seem to be able to find the repo for me.  Can you please point me to the
repo?

Comment 5 Jared Smith 2007-01-29 22:29:06 UTC
There wasn't a HAL RPM for PPC in the utopia repo, so I took the SRPM and
rebuild it.  Only one problem, it requires hal-info, which I can't seem to find
anywhere.  

Comment 6 Richard Hughes 2007-01-29 22:38:08 UTC
OOps. Sorry, should be there now:
http://people.freedesktop.org/~hughsient/fedora/6/SRPMS/

Comment 7 Jared Smith 2007-06-03 14:04:05 UTC
This is working in FC7, so I'm going to go ahead and close this bug.


Note You need to log in before you can comment on or make changes to this bug.